Subject: Re: [Cbor] I-D Action: draft-bormann-cbor-notable-tags-04.txt

From: Carsten Bormann <[email-masked]>
Date: Sun, 15 Aug 2021 21:44:08 +0200

Notable-tags-04 is a snapshot which is mostly notable [duuh] for the text that fills in Section 6.1:

https://www.ietf.org/archive/id/draft-bormann-cbor-notable-tags-04.html#name-advanced-arithmetic

There are still quite a few pieces of skeleton text; I hope we can fill these in before the next CBOR interim, so we can discuss whether this draft should be a WG document.

The rfcdiff is a bit damaged by the overly long lines in -03, if you want to peruse it, just scroll to the right and look at what has been added.

Grüße, Carsten

> On 2021-08-15, at 21:37, [email-masked] wrote:
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>        Title           : Notable CBOR Tags
>        Author          : Carsten Bormann
> 	Filename        : draft-bormann-cbor-notable-tags-04.txt
> 	Pages           : 23
> 	Date            : 2021-08-15
> 
> Abstract:
>   The Concise Binary Object Representation (CBOR, RFC 8949) is a data
>   format whose design goals include the possibility of extremely small
>   code size, fairly small message size, and extensibility without the
>   need for version negotiation.
> 
>   In CBOR, one point of extensibility is the definition of CBOR tags.
>   RFC 8949's original edition, RFC 7049, defined a basic set of tags as
>   well as a registry that can be used to contribute additional tag
>   definitions [IANA.cbor-tags].  Since RFC 7049 was published, some 80
>   tag definitions have been added to that registry.
> 
>   The present document provides a roadmap to a large subset of these
>   tag definitions.  Where applicable, it points to a IETF standards or
>   standard development document that specifies the tag.  Where no such
>   document exists, the intention is to collect specification
>   information from the sources of the registrations.  After some more
>   development, the present document is intended to be useful as a
>   reference document for the IANA registrations of the CBOR tags the
>   definitions of which have been collected.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-bormann-cbor-notable-tags/
> 
> There is also an HTML version available at:
> https://www.ietf.org/archive/id/draft-bormann-cbor-notable-tags-04.html
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-bormann-cbor-notable-tags-04
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt